<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: テキストプロパティ</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>テキストプロパティ<br/>
<small>
[<a class="el" href="group__m17nCore.html">コア API</a>]</small>
</h1>
<p>テキストプロパティを操作するための関数.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaada4c814dbc5172e58c24a2aad6787d4">MTextPropSerializeFunc</a> )(void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シリアライザ関数の型宣言.  <a href="#gaada4c814dbc5172e58c24a2aad6787d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void *(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga61ac57ea1f208ae1ee78f7b64fbf38b1">MTextPropDeserializeFunc</a> )(<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">デシリアライザ関数の型宣言.  <a href="#ga61ac57ea1f208ae1ee78f7b64fbf38b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code>テキストプロパティの型宣言</code>.  <a href="#ga3ca6e980d54288001b0a896c49a689ce"></a><br/></td></tr>
<tr><td colspan="2"><h2>列挙型</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga5b33fa00eaa5a08531732df88a24a9a9">MTextPropertyControl</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a12cbd712f80075cc687d5f901ea47c5a">MTEXTPROP_FRONT_STICKY</a> =  0x01, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a3acb63f56ef54332511eded4e7d6fb6d">MTEXTPROP_REAR_STICKY</a> =  0x02, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a82c87bdf72b1a175e58908c9279af7be">MTEXTPROP_VOLATILE_WEAK</a> =  0x04, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a6359a5ae58e92c371f08539c7559c16e">MTEXTPROP_VOLATILE_STRONG</a> =  0x08, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a9cf177c28dc6f80836f805d0825e1839">MTEXTPROP_NO_MERGE</a> =  0x10, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a9c1f2de18de1e6e9823ef7943e2670e9">MTEXTPROP_CONTROL_MAX</a> =  0x1F
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>テキストプロパティを制御するフラグビット. </p>
 <a href="group__m17nTextProperty.html#ga5b33fa00eaa5a08531732df88a24a9a9">[詳細]</a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c">mtext_get_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの一番上の値を得る.  <a href="#ga3b37b8a451e0618b8393402a88123a5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf">mtext_get_prop_values</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void **values, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの値を複数個得る.  <a href="#ga7649d0794df9829ece537861eaff87cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0072b994eed0eefd66be053484bf1dc9">mtext_get_prop_keys</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **keys)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text の指定した位置のテキストプロパティのキーのリストを得る.  <a href="#ga0072b994eed0eefd66be053484bf1dc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f">mtext_put_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティを設定する.  <a href="#ga0ebfee8b550cc5ccaefd6f091fc5695f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787">mtext_put_prop_values</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void **values, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">同じキーのテキストプロパティを複数設定する.  <a href="#gaa027998420efcfa94b5e91140ea08787"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65">mtext_push_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティをプッシュする.  <a href="#ga1525f066294eb2645b5c2e41b68e0a65"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5">mtext_pop_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティをポップする.  <a href="#gaa63265ad53bc7fddf62631fa8f3fb0d5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4">mtext_prop_range</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, int pos, int *from, int *to, int deeper)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティが同じ値をとる範囲を調べる.  <a href="#gae023984f61bfb4198f9ac70350bdb8d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gad94bf3a0a1384c2a7b5a759c7a93b88b">mtext_property</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val, int control_bits)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティを生成する.  <a href="#gad94bf3a0a1384c2a7b5a759c7a93b88b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0c227387edfda07824c6822e9e27435a">mtext_property_mtext</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">あるテキストプロパティを持つ M-text を返す.  <a href="#ga0c227387edfda07824c6822e9e27435a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1faaffce04424f85f5a78461ad9bfaec">mtext_property_key</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティのキーを返す.  <a href="#ga1faaffce04424f85f5a78461ad9bfaec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga5d3bbf3edab14ee3d26be9158b41bb31">mtext_property_value</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの値を返す.  <a href="#ga5d3bbf3edab14ee3d26be9158b41bb31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gac03079958c4de03ebc72766cf27bca25">mtext_property_start</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの開始位置を返す.  <a href="#gac03079958c4de03ebc72766cf27bca25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga550abffc59e78bfa137e44469af2f102">mtext_property_end</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの終了位置を返す.  <a href="#ga550abffc59e78bfa137e44469af2f102"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga857bf31decfcc6063f33183373901c3e">mtext_get_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">一番上のテキストプロパティを得る.  <a href="#ga857bf31decfcc6063f33183373901c3e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa08e0d0924274c37f28fca9afb0d7d58">mtext_get_properties</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> **props, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">複数のテキストプロパティを得る.  <a href="#gaa08e0d0924274c37f28fca9afb0d7d58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga80333ace7a285d5a09ed0575cda75d84">mtext_attach_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-textにテキストプロパティを付加する.  <a href="#ga80333ace7a285d5a09ed0575cda75d84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga6e4c9702d75cde94c6bfc9f44ea13258">mtext_detach_property</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text からテキストプロパティを分離する.  <a href="#ga6e4c9702d75cde94c6bfc9f44ea13258"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1db069da9e058d3129a6469f4d359c0f">mtext_push_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text にテキストプロパティをプッシュする.  <a href="#ga1db069da9e058d3129a6469f4d359c0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e">mtext_serialize</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *property_list)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text 中のテキストプロパティをシリアライズする.  <a href="#ga4830a8a120aeed2185d6da8fd2daa05e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf">mtext_deserialize</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text 中のテキストプロパティをデシリアライズする.  <a href="#ga82e022961a26f82ddf580782a50d94bf"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735">Mtext_prop_serializer</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シリアライザ関数を指定するシンボル.  <a href="#ga759ba1a6ac36d9847bc6b4d431ae3735"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077">Mtext_prop_deserializer</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">デシリアライザ関数を指定するシンボル.  <a href="#ga97f4c75b4ebf8ff252948dbf068bc077"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>テキストプロパティを操作するための関数. </p>
<p>M-text 内の各文字は、<em>テキストプロパティ</em> と呼ばれるプロパティを 持つことができる。テキストプロパティは、M-text の各部位に付加され たさまざまな情報を保持しており、アプリケーションプログラムはそれら の情報を統一的に扱うことができる。M-text 自体が豊富な情報を持つた め、アプリケーションプログラム中の関数を簡素化することができる。</p>
<p>テキストプロパティは <em>キー</em> と <em>値</em> からなる。キーはシンボルであ り、値は <code>(void *)</code> 型にキャストできるものなら何でもよい。 他のタイプのプロパティと異なり、一つのテキストプロパティが複数の値 を持つことが許される。「キーが K であるテキストプロパティ」のこと を簡単に「K プロパティ」と呼ぶことがある。 </p>
<hr/><h2>型定義</h2>
<a class="anchor" id="gaada4c814dbc5172e58c24a2aad6787d4"></a><!-- doxytag: member="m17n&#45;core.h::MTextPropSerializeFunc" ref="gaada4c814dbc5172e58c24a2aad6787d4" args=")(void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>*(* <a class="el" href="group__m17nTextProperty.html#gaada4c814dbc5172e58c24a2aad6787d4">MTextPropSerializeFunc</a>)(void *val)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>シリアライザ関数の型宣言. </p>
<p>シリアライザ関数の型である。 あるシンボルのプロパティのキーが <code><a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735" title="シリアライザ関数を指定するシンボル.">Mtext_prop_serializer</a></code> であるとき、 値はこの型でなくてはならない。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e" title="M-text 中のテキストプロパティをシリアライズする.">mtext_serialize()</a>, <a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735" title="シリアライザ関数を指定するシンボル.">Mtext_prop_serializer</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga61ac57ea1f208ae1ee78f7b64fbf38b1"></a><!-- doxytag: member="m17n&#45;core.h::MTextPropDeserializeFunc" ref="ga61ac57ea1f208ae1ee78f7b64fbf38b1" args=")(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void*(* <a class="el" href="group__m17nTextProperty.html#ga61ac57ea1f208ae1ee78f7b64fbf38b1">MTextPropDeserializeFunc</a>)(<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>デシリアライザ関数の型宣言. </p>
<p>デシリアライザ関数の型である。 あるシンボルのプロパティのキーが <code><a class="el" href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077" title="デシリアライザ関数を指定するシンボル.">Mtext_prop_deserializer</a></code> であるとき、 値はこの型でなくてはならない。</p>
<dl class="user"><dt><b>参照:</b></dt><dd>Mtext_prop_deserialize(), Mtext_prop_deserializer </dd></dl>

</div>
</div>
<a class="anchor" id="ga3ca6e980d54288001b0a896c49a689ce"></a><!-- doxytag: member="m17n&#45;core.h::MTextProperty" ref="ga3ca6e980d54288001b0a896c49a689ce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code>テキストプロパティの型宣言</code>. </p>
<p><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce" title="テキストプロパティの型宣言.">MTextProperty</a> は <em>テキストプロパティ</em> オブジェクトの型である。 内部構造はアプリケーションプログラムからは見えない。 </p>

</div>
</div>
<hr/><h2>列挙型</h2>
<a class="anchor" id="ga5b33fa00eaa5a08531732df88a24a9a9"></a><!-- doxytag: member="m17n&#45;core.h::MTextPropertyControl" ref="ga5b33fa00eaa5a08531732df88a24a9a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__m17nTextProperty.html#ga5b33fa00eaa5a08531732df88a24a9a9">MTextPropertyControl</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティを制御するフラグビット. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#gad94bf3a0a1384c2a7b5a759c7a93b88b" title="テキストプロパティを生成する.">mtext_property()</a> は以下のフラグビットの論理 OR を引数としてとることができる。 フラグビットは生成されたテキストプロパティの振舞いを制御する。 詳細は各フラグビットの説明を参照。 </p>
<dl><dt><b>列挙型の値: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga5b33fa00eaa5a08531732df88a24a9a9a12cbd712f80075cc687d5f901ea47c5a"></a><!-- doxytag: member="MTEXTPROP_FRONT_STICKY" ref="gga5b33fa00eaa5a08531732df88a24a9a9a12cbd712f80075cc687d5f901ea47c5a" args="" -->MTEXTPROP_FRONT_STICKY</em>&nbsp;</td><td>
<p>このビットが on ならば、このテキストプロパティの始まる点あるいは中間に挿入された M-text はこのテキストプロパティを継承する。 </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga5b33fa00eaa5a08531732df88a24a9a9a3acb63f56ef54332511eded4e7d6fb6d"></a><!-- doxytag: member="MTEXTPROP_REAR_STICKY" ref="gga5b33fa00eaa5a08531732df88a24a9a9a3acb63f56ef54332511eded4e7d6fb6d" args="" -->MTEXTPROP_REAR_STICKY</em>&nbsp;</td><td>
<p>このビットが on ならば、このテキストプロパティの終わる点あるいは中間に挿入された M-text はこのテキストプロパティを継承する。 </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga5b33fa00eaa5a08531732df88a24a9a9a82c87bdf72b1a175e58908c9279af7be"></a><!-- doxytag: member="MTEXTPROP_VOLATILE_WEAK" ref="gga5b33fa00eaa5a08531732df88a24a9a9a82c87bdf72b1a175e58908c9279af7be" args="" -->MTEXTPROP_VOLATILE_WEAK</em>&nbsp;</td><td>
<p>このビットが on ならば、このテキストプロパティの範囲内のテキストが変更された場合テキストプロパティは取り除かれる。 </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga5b33fa00eaa5a08531732df88a24a9a9a6359a5ae58e92c371f08539c7559c16e"></a><!-- doxytag: member="MTEXTPROP_VOLATILE_STRONG" ref="gga5b33fa00eaa5a08531732df88a24a9a9a6359a5ae58e92c371f08539c7559c16e" args="" -->MTEXTPROP_VOLATILE_STRONG</em>&nbsp;</td><td>
<p>このビットが on ならば、このテキストプロパティの範囲内のテキストあるいは別のテキストプロパティが変更された場合このテキ ストプロパティは取り除かれる。 </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga5b33fa00eaa5a08531732df88a24a9a9a9cf177c28dc6f80836f805d0825e1839"></a><!-- doxytag: member="MTEXTPROP_NO_MERGE" ref="gga5b33fa00eaa5a08531732df88a24a9a9a9cf177c28dc6f80836f805d0825e1839" args="" -->MTEXTPROP_NO_MERGE</em>&nbsp;</td><td>
<p>このビットが on ならば、このテキストプロパティは他のプロパティと自動的にはマージされない。 </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga5b33fa00eaa5a08531732df88a24a9a9a9c1f2de18de1e6e9823ef7943e2670e9"></a><!-- doxytag: member="MTEXTPROP_CONTROL_MAX" ref="gga5b33fa00eaa5a08531732df88a24a9a9a9c1f2de18de1e6e9823ef7943e2670e9" args="" -->MTEXTPROP_CONTROL_MAX</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="ga3b37b8a451e0618b8393402a88123a5c"></a><!-- doxytag: member="textprop.c::mtext_get_prop" ref="ga3b37b8a451e0618b8393402a88123a5c" args="(MText *mt, int pos, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mtext_get_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティの一番上の値を得る. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a> は、M-text <b>mt</b> 内の位置 <b>pos</b> にある文字のテ キストプロパティのうち、キーが <b>key</b> であるものを探す。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>テキストプロパティがみつかれば、mtext_get_prop() はそのプロパティ の値を返す。値が複数存在するときは、一番上の値を返す。見つからなけ れば外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> を変更することなく <code>NULL</code> を返す。</dd></dl>
<p>エラーが検出された場合 <a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a> は <code>NULL</code> を返し、外部変 数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</p>
<dl class="note"><dt><b>覚え書き:</b></dt><dd>エラーなしで <code>NULL</code> が返された場合には二つの可能性がある。</dd></dl>
<ul>
<li><b>pos</b> の位置の文字は <b>key</b> をキーとするプロパティを持たない。</li>
</ul>
<ul>
<li>その文字はそのようなプロパティを持ち、その値が <code>NULL</code> である。</li>
</ul>
<p>この二つを区別する必要がある場合には、関数 <a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a> を代わりに使用すること。</p>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_RANGE</code>, <code>MERROR_SYMBOL</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787" title="同じキーのテキストプロパティを複数設定する.">mtext_put_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65" title="テキストプロパティをプッシュする.">mtext_push_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5" title="テキストプロパティをポップする.">mtext_pop_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4" title="テキストプロパティが同じ値をとる範囲を調べる.">mtext_prop_range()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga7649d0794df9829ece537861eaff87cf"></a><!-- doxytag: member="textprop.c::mtext_get_prop_values" ref="ga7649d0794df9829ece537861eaff87cf" args="(MText *mt, int pos, MSymbol key, void **values, int num)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_get_prop_values </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void **&nbsp;</td>
          <td class="paramname"> <em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>num</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティの値を複数個得る. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a> は、M-text <b>mt</b> 内で <b>pos</b> という位置 にある文字のプロパティのうち、キーが <b>key</b> であるものを探す。もしそ のようなプロパティが見つかれば、それが持つ値 (複数可) を <b>values</b> の指すメモリ領域に格納する。<b>num</b> は格納する値の数の上限である。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば、mtext_get_prop_values() は実際にメモリに格納さ れた値の数を返す。<b>pos</b> の位置の文字が <b>key</b> をキーとするプロパティ を持たなければ 0 を返す。エラーが検出された場合は -1 を返し、外部 変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_RANGE</code>, <code>MERROR_SYMBOL</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787" title="同じキーのテキストプロパティを複数設定する.">mtext_put_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65" title="テキストプロパティをプッシュする.">mtext_push_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5" title="テキストプロパティをポップする.">mtext_pop_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4" title="テキストプロパティが同じ値をとる範囲を調べる.">mtext_prop_range()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga0072b994eed0eefd66be053484bf1dc9"></a><!-- doxytag: member="textprop.c::mtext_get_prop_keys" ref="ga0072b994eed0eefd66be053484bf1dc9" args="(MText *mt, int pos, MSymbol **keys)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_get_prop_keys </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **&nbsp;</td>
          <td class="paramname"> <em>keys</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>M-text の指定した位置のテキストプロパティのキーのリストを得る. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga0072b994eed0eefd66be053484bf1dc9" title="M-text の指定した位置のテキストプロパティのキーのリストを得る...">mtext_get_prop_keys()</a> は、M-text <b>mt</b> 内で <b>pos</b> の位置にある すべてのテキストプロパティのキーを要素とする配列を作り、その配列の アドレスを *<b>keys</b> に設定する。この配列のために確保されたメモリを解 放するのはユーザの責任である。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば <a class="el" href="group__m17nTextProperty.html#ga0072b994eed0eefd66be053484bf1dc9" title="M-text の指定した位置のテキストプロパティのキーのリストを得る...">mtext_get_prop_keys()</a> は得られたリストの長さを返 す。そうでなければ -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを 設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_RANGE</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787" title="同じキーのテキストプロパティを複数設定する.">mtext_put_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65" title="テキストプロパティをプッシュする.">mtext_push_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5" title="テキストプロパティをポップする.">mtext_pop_prop()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga0ebfee8b550cc5ccaefd6f091fc5695f"></a><!-- doxytag: member="textprop.c::mtext_put_prop" ref="ga0ebfee8b550cc5ccaefd6f091fc5695f" args="(MText *mt, int from, int to, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_put_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティを設定する. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a> は、M-text <b>mt</b> の <b>from</b> （含まれる）から <b>to</b> （含まれない）の範囲の文字に、キーが <b>key</b> で値が <b>val</b> であるよ うなテキストプロパティを設定する。この関数によって</p>
<div class="fragment"><pre class="fragment">
                         FROM                    TO
M-text:      |&lt;------------|-------- MT ---------|------------&gt;|
PROP:         &lt;------------------ OLD_VAL --------------------&gt;
</pre></div><p>は次のようになる。</p>
<div class="fragment"><pre class="fragment">
                         FROM                    TO
M-text:       |&lt;------------|-------- MT ---------|------------&gt;|
PROP:          &lt;-- OLD_VAL-&gt;&lt;-------- VAL -------&gt;&lt;-- OLD_VAL--&gt;
</pre></div><dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば <a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a> は 0 を返す。そうでなければ -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_RANGE</code>, <code>MERROR_SYMBOL</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787" title="同じキーのテキストプロパティを複数設定する.">mtext_put_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65" title="テキストプロパティをプッシュする.">mtext_push_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5" title="テキストプロパティをポップする.">mtext_pop_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4" title="テキストプロパティが同じ値をとる範囲を調べる.">mtext_prop_range()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaa027998420efcfa94b5e91140ea08787"></a><!-- doxytag: member="textprop.c::mtext_put_prop_values" ref="gaa027998420efcfa94b5e91140ea08787" args="(MText *mt, int from, int to, MSymbol key, void **values, int num)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_put_prop_values </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void **&nbsp;</td>
          <td class="paramname"> <em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>num</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>同じキーのテキストプロパティを複数設定する. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787" title="同じキーのテキストプロパティを複数設定する.">mtext_put_prop_values()</a> は、M-Text <b>mt</b> の<b>from</b> （含まれる） から <b>to</b> （含まれない）の範囲の文字に、テキストプロパティを設定す る。テキストプロパティのキーは <b>key</b> によって、値(複数可)は <b>values</b> によって指定される。<b>num</b> は設定される値の個数である。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば、mtext_put_prop_values() は 0 を返す。そうでなけ れば -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_RANGE</code>, <code>MERROR_SYMBOL</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65" title="テキストプロパティをプッシュする.">mtext_push_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5" title="テキストプロパティをポップする.">mtext_pop_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4" title="テキストプロパティが同じ値をとる範囲を調べる.">mtext_prop_range()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga1525f066294eb2645b5c2e41b68e0a65"></a><!-- doxytag: member="textprop.c::mtext_push_prop" ref="ga1525f066294eb2645b5c2e41b68e0a65" args="(MText *mt, int from, int to, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_push_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティをプッシュする. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65" title="テキストプロパティをプッシュする.">mtext_push_prop()</a> は、キーが <b>key</b> で値が <b>val</b> であるテキスト プロパティを、M-text <b>mt</b> 中の <b>from</b> （含まれる）から <b>to</b> （含まれな い）の範囲の文字にプッシュする。この関数によって</p>
<div class="fragment"><pre class="fragment">
                    FROM                    TO
M-text: |&lt;------------|-------- MT ---------|------------&gt;|
PROP  :  &lt;------------------ OLD_VAL --------------------&gt;
</pre></div><p> は次のようになる。 </p>
<div class="fragment"><pre class="fragment">
                    FROM                    TO
M-text: |&lt;------------|-------- MT ---------|------------&gt;|
PROP  :  &lt;------------------- OLD_VAL -------------------&gt;
PROP  :               &lt;-------- VAL -------&gt;
</pre></div><dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば、mtext_push_prop() は 0 を返す。そうでなければ -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_RANGE</code>, <code>MERROR_SYMBOL</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787" title="同じキーのテキストプロパティを複数設定する.">mtext_put_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5" title="テキストプロパティをポップする.">mtext_pop_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4" title="テキストプロパティが同じ値をとる範囲を調べる.">mtext_prop_range()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaa63265ad53bc7fddf62631fa8f3fb0d5"></a><!-- doxytag: member="textprop.c::mtext_pop_prop" ref="gaa63265ad53bc7fddf62631fa8f3fb0d5" args="(MText *mt, int from, int to, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_pop_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティをポップする. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5" title="テキストプロパティをポップする.">mtext_pop_prop()</a> は、キーが <b>key</b> であるテキストプロパティの うち一番上のものを、M-text <b>mt</b> の <b>from</b> （含まれる）から <b>to（含ま</b> れない）の範囲の文字から取り除く。</p>
<p>指定範囲の文字がそのようなプロパティを持たないならば、この関数は何 もしない。この関数によって、</p>
<div class="fragment"><pre class="fragment">
                    FROM                    TO
M-text: |&lt;------------|-------- MT ---------|------------&gt;|
PROP  :  &lt;------------------ OLD_VAL --------------------&gt;
</pre></div><p> は以下のようになる。 </p>
<div class="fragment"><pre class="fragment">
                    FROM                    TO
M-text: |&lt;------------|-------- MT ---------|------------&gt;|
PROP  :  &lt;--OLD_VAL--&gt;|                     |&lt;--OLD_VAL--&gt;|
</pre></div><dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば、mtext_pop_prop() は 0 を返す。そうでなければ -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_RANGE</code>, <code>MERROR_SYMBOL</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787" title="同じキーのテキストプロパティを複数設定する.">mtext_put_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65" title="テキストプロパティをプッシュする.">mtext_push_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4" title="テキストプロパティが同じ値をとる範囲を調べる.">mtext_prop_range()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gae023984f61bfb4198f9ac70350bdb8d4"></a><!-- doxytag: member="textprop.c::mtext_prop_range" ref="gae023984f61bfb4198f9ac70350bdb8d4" args="(MText *mt, MSymbol key, int pos, int *from, int *to, int deeper)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_prop_range </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>deeper</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティが同じ値をとる範囲を調べる. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4" title="テキストプロパティが同じ値をとる範囲を調べる.">mtext_prop_range()</a> は、指定したテキストプロパティの値が同じ である連続した文字の範囲を調べる。まず M-text <b>mt</b> の <b>pos</b> の位置に ある文字のプロパティのうち、キー <b>key</b> で指定されたもの値を見つけ る。そして前後の文字も <b>key</b> のプロパティの値が同じであるかどうかを 調べる。見つけた範囲の最初と最後を、それぞれ <b>from</b> と <b>to</b> にポイン トされる変数に保存する。<b>from</b> に保存される文字の位置は見つけた範囲 に含まれるが、<b>to</b> は含まれない。（<b>to</b> の前で同じ値をとる範囲は終わ る。）この範囲指定法は、関数 <a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a> などと共通である。</p>
<p><b>deeper</b> が 0 でなければ、<b>key</b> というキーを持つプロパティのうち一番 上のものだけでなく、スタック中のすべてのものが比較される。</p>
<p><b>from</b> が <code>NULL</code> ならば、範囲の始まりは探索しない。<b>to</b> が <code>NULL</code> ならば、範囲の終りは探索しない。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば、mtext_prop_range() は <b>key</b> プロパティの値の数を 返す。そうでなければ-1 を返し、 外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコー ドを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_RANGE</code>, <code>MERROR_SYMBOL</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f" title="テキストプロパティを設定する.">mtext_put_prop()</a>, <a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787" title="同じキーのテキストプロパティを複数設定する.">mtext_put_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c" title="テキストプロパティの一番上の値を得る.">mtext_get_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf" title="テキストプロパティの値を複数個得る.">mtext_get_prop_values()</a>, <a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5" title="テキストプロパティをポップする.">mtext_pop_prop()</a>, <a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65" title="テキストプロパティをプッシュする.">mtext_push_prop()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gad94bf3a0a1384c2a7b5a759c7a93b88b"></a><!-- doxytag: member="textprop.c::mtext_property" ref="gad94bf3a0a1384c2a7b5a759c7a93b88b" args="(MSymbol key, void *val, int control_bits)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a>* mtext_property </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>control_bits</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティを生成する. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#gad94bf3a0a1384c2a7b5a759c7a93b88b" title="テキストプロパティを生成する.">mtext_property()</a> は <b>key</b> をキー、<b>val</b> を値とする新しく割り当 てられたテキストプロパティを返す。生成したテキストプロパティはいか なる M-text にも付加されていない、すなわち分離して (detached) いる。</p>
<p><b>control_bits</b> は 0 であるか <code>enum</code> <code>MTextPropertyControl</code> の論理 OR でなくてはならない。 </p>

</div>
</div>
<a class="anchor" id="ga0c227387edfda07824c6822e9e27435a"></a><!-- doxytag: member="textprop.c::mtext_property_mtext" ref="ga0c227387edfda07824c6822e9e27435a" args="(MTextProperty *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mtext_property_mtext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td>
          <td class="paramname"> <em>prop</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>あるテキストプロパティを持つ M-text を返す. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga0c227387edfda07824c6822e9e27435a" title="あるテキストプロパティを持つ M-text を返す.">mtext_property_mtext()</a> は、テキストプロパティ<b>prop</b> が付加さ れている M-text を返す。その時点で <b>prop</b> が分離していれば NULL を 返す。 </p>

</div>
</div>
<a class="anchor" id="ga1faaffce04424f85f5a78461ad9bfaec"></a><!-- doxytag: member="textprop.c::mtext_property_key" ref="ga1faaffce04424f85f5a78461ad9bfaec" args="(MTextProperty *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mtext_property_key </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td>
          <td class="paramname"> <em>prop</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティのキーを返す. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga1faaffce04424f85f5a78461ad9bfaec" title="テキストプロパティのキーを返す.">mtext_property_key()</a> は、テキストプロパティ <b>prop</b> のキー（シ ンボル）を返す。 </p>

</div>
</div>
<a class="anchor" id="ga5d3bbf3edab14ee3d26be9158b41bb31"></a><!-- doxytag: member="textprop.c::mtext_property_value" ref="ga5d3bbf3edab14ee3d26be9158b41bb31" args="(MTextProperty *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mtext_property_value </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td>
          <td class="paramname"> <em>prop</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティの値を返す. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga5d3bbf3edab14ee3d26be9158b41bb31" title="テキストプロパティの値を返す.">mtext_property_value()</a> は、テキストプロパティ <b>prop</b> の値を返 す。 </p>

</div>
</div>
<a class="anchor" id="gac03079958c4de03ebc72766cf27bca25"></a><!-- doxytag: member="textprop.c::mtext_property_start" ref="gac03079958c4de03ebc72766cf27bca25" args="(MTextProperty *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_property_start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td>
          <td class="paramname"> <em>prop</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティの開始位置を返す. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#gac03079958c4de03ebc72766cf27bca25" title="テキストプロパティの開始位置を返す.">mtext_property_start()</a> は、テキストプロパティ <b>prop</b> の開始位 置を返す。開始位置とは M-text 中で <b>prop</b> が始まる文字位置である。 <b>prop</b> が分離されていれば、-1 を返す。 </p>

</div>
</div>
<a class="anchor" id="ga550abffc59e78bfa137e44469af2f102"></a><!-- doxytag: member="textprop.c::mtext_property_end" ref="ga550abffc59e78bfa137e44469af2f102" args="(MTextProperty *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_property_end </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td>
          <td class="paramname"> <em>prop</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>テキストプロパティの終了位置を返す. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga550abffc59e78bfa137e44469af2f102" title="テキストプロパティの終了位置を返す.">mtext_property_end()</a> は、テキストプロパティ <b>prop</b> の終了位置 を返す。終了位置とは M-text 中で <b>prop</b> が終る文字位置である。<b>prop</b> が分離されていれば、-1 を返す。 </p>

</div>
</div>
<a class="anchor" id="ga857bf31decfcc6063f33183373901c3e"></a><!-- doxytag: member="textprop.c::mtext_get_property" ref="ga857bf31decfcc6063f33183373901c3e" args="(MText *mt, int pos, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a>* mtext_get_property </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>一番上のテキストプロパティを得る. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga857bf31decfcc6063f33183373901c3e" title="一番上のテキストプロパティを得る.">mtext_get_property()</a> は M-text <b>mt</b> の位置 <b>pos</b> の文字がキー が <b>key</b> であるテキストプロパティを持つかどうかを調べる。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>テキストプロパティが見つかれば、mtext_get_property() はそれを返す。 複数ある場合には、一番上のものを返す。見つからなければ、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> を変えることなく <code>NULL</code> を返す。</dd></dl>
<p>エラーが検出された場合 <a class="el" href="group__m17nTextProperty.html#ga857bf31decfcc6063f33183373901c3e" title="一番上のテキストプロパティを得る.">mtext_get_property()</a> は <code>NULL</code> を返し、外 部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。 </p>

</div>
</div>
<a class="anchor" id="gaa08e0d0924274c37f28fca9afb0d7d58"></a><!-- doxytag: member="textprop.c::mtext_get_properties" ref="gaa08e0d0924274c37f28fca9afb0d7d58" args="(MText *mt, int pos, MSymbol key, MTextProperty **props, int num)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_get_properties </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> **&nbsp;</td>
          <td class="paramname"> <em>props</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>num</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>複数のテキストプロパティを得る. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#gaa08e0d0924274c37f28fca9afb0d7d58" title="複数のテキストプロパティを得る.">mtext_get_properties()</a> は M-text <b>mt</b> の位置 <b>pos</b> の文字がキー が <b>key</b> であるテキストプロパティを持つかどうかを調べる。そのような プロパティがみつかれば、<b>props</b> が指すメモリ領域に保存する。<b>num</b> は 保存されるプロパティの数の上限である。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>処理が成功すれば、mtext_get_properties() は実際に保存したプロパティ の数を返す。<b>pos</b> の位置の文字がキーが <b>key</b> であるプロパティを持た なければ、0 が返る。エラーが検出された場合には、 <a class="el" href="group__m17nTextProperty.html#gaa08e0d0924274c37f28fca9afb0d7d58" title="複数のテキストプロパティを得る.">mtext_get_properties()</a> は -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラー コードを設定する。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga80333ace7a285d5a09ed0575cda75d84"></a><!-- doxytag: member="textprop.c::mtext_attach_property" ref="ga80333ace7a285d5a09ed0575cda75d84" args="(MText *mt, int from, int to, MTextProperty *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_attach_property </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td>
          <td class="paramname"> <em>prop</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>M-textにテキストプロパティを付加する. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga80333ace7a285d5a09ed0575cda75d84" title="M-textにテキストプロパティを付加する.">mtext_attach_property()</a> は、M-text <b>mt</b> の <b>from</b> から <b>to</b> ま での領域にテキストプロパティ <b>prop</b> を付加する。もし <b>prop</b> が既に M-text に付加されていれば、<b>mt</b> に付加する前に分離される。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>処理に成功すれば、mtext_attach_property() は 0 を返す。そうでなけ れば -1 を返して外部変数<a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga6e4c9702d75cde94c6bfc9f44ea13258"></a><!-- doxytag: member="textprop.c::mtext_detach_property" ref="ga6e4c9702d75cde94c6bfc9f44ea13258" args="(MTextProperty *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_detach_property </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td>
          <td class="paramname"> <em>prop</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>M-text からテキストプロパティを分離する. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga6e4c9702d75cde94c6bfc9f44ea13258" title="M-text からテキストプロパティを分離する.">mtext_detach_property()</a> はテキストプロパティ <b>prop</b> を分離する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は常に 0 を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga1db069da9e058d3129a6469f4d359c0f"></a><!-- doxytag: member="textprop.c::mtext_push_property" ref="ga1db069da9e058d3129a6469f4d359c0f" args="(MText *mt, int from, int to, MTextProperty *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_push_property </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td>
          <td class="paramname"> <em>prop</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>M-text にテキストプロパティをプッシュする. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga1db069da9e058d3129a6469f4d359c0f" title="M-text にテキストプロパティをプッシュする.">mtext_push_property()</a> は、テキストプロパティ <b>prop</b> を、 M-text <b>mt</b> 中の <b>from</b> （含まれる）から <b>to</b> （含まれない）の範囲の 文字にプッシュする。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理に成功すれば、mtext_push_property() は 0 を返す。そうでなけ れば -1 を返して外部変数<a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga4830a8a120aeed2185d6da8fd2daa05e"></a><!-- doxytag: member="textprop.c::mtext_serialize" ref="ga4830a8a120aeed2185d6da8fd2daa05e" args="(MText *mt, int from, int to, MPlist *property_list)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mtext_serialize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>property_list</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>M-text 中のテキストプロパティをシリアライズする. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e" title="M-text 中のテキストプロパティをシリアライズする.">mtext_serialize()</a> は M-text <b>mt</b> の <b>from</b> から <b>to</b> までのテキ ストをシリアライズする。シリアライズした結果は XML 形式の M-text で ある。 <b>property_list</b> はシリアライズされるテキストプロパティを限定 する。対象となるテキストプロパティは、そのキーが</p>
<ul>
<li><b>property_list</b> の要素の値として現われ、かつ </li>
<li>シンボルプロパティ <a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735" title="シリアライザ関数を指定するシンボル.">Mtext_prop_serializer</a> を持つ</li>
</ul>
<p>もののみである。この条件を満たすテキストプロパティは、生成される XML 表現中で "property" 要素にシリアライズされる。</p>
<p>生成される XML の DTD は以下の通り:</p>
<div class="fragment"><pre class="fragment">
&lt;!DOCTYPE mtext [
  &lt;!ELEMENT mtext (property*,body+)&gt;
  &lt;!ELEMENT property EMPTY&gt;
  &lt;!ELEMENT body (#PCDATA)&gt;
  &lt;!ATTLIST property key CDATA #REQUIRED&gt;
  &lt;!ATTLIST property value CDATA #REQUIRED&gt;
  &lt;!ATTLIST property from CDATA #REQUIRED&gt;
  &lt;!ATTLIST property to CDATA #REQUIRED&gt;
  &lt;!ATTLIST property control CDATA #REQUIRED&gt;
 ]&gt;
</pre></div><p>この関数は libxml2 ライブラリに依存する。m17n ライブラリがlibxml2 無しに設定されている場合、この関数は常に失敗する。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>処理に成功すれば、mtext_serialize() は XML 形式で M-text を返す。 そうでなければ <code>NULL</code> を返して外部変数<a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコード を設定する。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf" title="M-text 中のテキストプロパティをデシリアライズする.">mtext_deserialize()</a>, <a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735" title="シリアライザ関数を指定するシンボル.">Mtext_prop_serializer</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga82e022961a26f82ddf580782a50d94bf"></a><!-- doxytag: member="textprop.c::mtext_deserialize" ref="ga82e022961a26f82ddf580782a50d94bf" args="(MText *mt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mtext_deserialize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>M-text 中のテキストプロパティをデシリアライズする. </p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf" title="M-text 中のテキストプロパティをデシリアライズする.">mtext_deserialize()</a> は M-text <b>mt</b> をデシリアライズする。<b>mt</b> は次の DTD を持つ XML でなくてはならない。</p>
<div class="fragment"><pre class="fragment">
&lt;!DOCTYPE mtext [
  &lt;!ELEMENT mtext (property*,body+)&gt;
  &lt;!ELEMENT property EMPTY&gt;
  &lt;!ELEMENT body (#PCDATA)&gt;
  &lt;!ATTLIST property key CDATA #REQUIRED&gt;
  &lt;!ATTLIST property value CDATA #REQUIRED&gt;
  &lt;!ATTLIST property from CDATA #REQUIRED&gt;
  &lt;!ATTLIST property to CDATA #REQUIRED&gt;
  &lt;!ATTLIST property control CDATA #REQUIRED&gt;
 ]&gt;
</pre></div><p>この関数は libxml2 ライブラリに依存する。m17n ライブラリがlibxml2 無しに設定されている場合、この関数は常に失敗する。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>処理に成功すれば、mtext_serialize() は得られた M-text を 返す。そうでなければ <code>NULL</code> を返して外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラー コードを設定する。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e" title="M-text 中のテキストプロパティをシリアライズする.">mtext_serialize()</a>, <a class="el" href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077" title="デシリアライザ関数を指定するシンボル.">Mtext_prop_deserializer</a> </dd></dl>

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="ga759ba1a6ac36d9847bc6b4d431ae3735"></a><!-- doxytag: member="textprop.c::Mtext_prop_serializer" ref="ga759ba1a6ac36d9847bc6b4d431ae3735" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735">Mtext_prop_serializer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>シリアライザ関数を指定するシンボル. </p>
<p>テキストプロパティをシリアライズするためには、そのテキストプロパ ティ用のシリアライザ関数を与えなくてはならない。具体的には、 <a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735" title="シリアライザ関数を指定するシンボル.">Mtext_prop_serializer</a> をキーとし、適切なシリアライズ関数へのポイ ンタを値とするシンボルプロパティを指定する。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e" title="M-text 中のテキストプロパティをシリアライズする.">mtext_serialize()</a>, <a class="el" href="group__m17nTextProperty.html#gaada4c814dbc5172e58c24a2aad6787d4" title="シリアライザ関数の型宣言.">MTextPropSerializeFunc</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga97f4c75b4ebf8ff252948dbf068bc077"></a><!-- doxytag: member="textprop.c::Mtext_prop_deserializer" ref="ga97f4c75b4ebf8ff252948dbf068bc077" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077">Mtext_prop_deserializer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>デシリアライザ関数を指定するシンボル. </p>
<p>テキストプロパティをデシリアライズするためには、そのテキストプロ パティ用のデシリアライザ関数を与えなくてはならない。具体的には、 <a class="el" href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077" title="デシリアライザ関数を指定するシンボル.">Mtext_prop_deserializer</a> をキーとし、適切なデシリアライズ関数への ポインタを値とするシンボルプロパティを指定する。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf" title="M-text 中のテキストプロパティをデシリアライズする.">mtext_deserialize()</a>, <a class="el" href="group__m17nTextProperty.html#gaada4c814dbc5172e58c24a2aad6787d4" title="シリアライザ関数の型宣言.">MTextPropSerializeFunc</a> </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
